Bug 53130 - iconv segfaults
Summary: iconv segfaults
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: glibc   
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
: 53172 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-04 07:45 UTC by Satoru SATOH
Modified: 2016-11-24 15:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-10 15:22:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Satoru SATOH 2001-09-04 07:45:06 UTC
Description of Problem:iconv segfaults when type 'iconv -l'


Version-Release number of selected component (if applicable):
glibc-common-2.2.4-11


How Reproducible: anytime


Steps to Reproduce:
1. type 'iconv -l'
2. 
3. 

Actual Results:
segfaluts

Expected Results:


Additional Information:

add to this, '
LC_ALL=C iconv -f iso-2022-jp -t euc-jp nkf.1j -o nkf.1j-euc'
also failed with the error message, 
"iconv: illegal input sequence at position 95"
(This is succeeded on Debian GNU/Linux sid=current)

Comment 1 Jakub Jelinek 2001-09-04 16:02:25 UTC
Can you try glibc-2.2.4-12?
At least iconv -l should work there just fine, dunno about the latter since
I don't have the input file.

Comment 2 Jakub Jelinek 2001-09-04 20:57:11 UTC
*** Bug 53172 has been marked as a duplicate of this bug. ***

Comment 3 Jakub Jelinek 2001-09-18 08:14:17 UTC
Assuming it is fixed in glibc-2.2.4-12.

Comment 4 David Lawrence 2006-04-10 15:22:59 UTC
Closing due to inactivity. Please feel free to reopen this bug or refile this
bug against the latest release Fedora Core if you feel this bug is still
relevant today.

Thank you


Note You need to log in before you can comment on or make changes to this bug.